FlxpointAPI Help CenterBeta

[Deprecated] Search Inventory Variants

gethttps://api.flxpoint.com/inventory/search/variantDeprecated

Use this when you want to pull inventory data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Deprecated, please use GET /inventory/variants

Request

Query parameters
  • filterSourceIdqueryinteger

    ID of source whose inventory is required

  • filterUpdatedAfterquerystring (date-time)

    Retrieve inventory variants updated after this date

  • filterPageNumberqueryinteger

    Current Page

  • filterPageSizequeryinteger

    Number of entries per page

  • filterByInventoryVariantIdsquerystring

    Inventory variant IDs separated by a comma

  • filterBySkusqueryarray[string]

    A list of Inventory Variant SKUs to filter on. Max must be less than or equal to filterPageSize. Recommended to not include full metadata while using this. This will work in conjunction with the other `filter` params EXCEPT `filterByIds`.

  • idsqueryarray[integer (int64)]

    Finds elements matching these IDs. Max must be less than or equal to filterPageSize.

  • includeParentqueryboolean

    If "true" is passed, the "parent" node will be populated with Inventory Parent information. NOTE : The "variants" will be empty in this node to prevent circular references.

  • includeImagesqueryboolean

    If "false" is passed, the "image" and "parent.image" nodes will not be populated

  • includeOptionsqueryboolean

    If "false" is passed, the "options" and "parent.options" nodes will not be populated

  • includeAttributesqueryboolean

    If "true" is passed, the "parent.attributes" node will be populated.

  • includeCategoriesqueryboolean

    If "true" is passed, the parent category nodes will be populated.

  • includeCustomFieldsqueryboolean

    If "true" is passed, the "parent.customFields" node will be populated.

  • includeCustomAggregatesqueryboolean

    If "false" is passed, the "customAggregates" node will not be populated.

  • includeLinkedProductVariantsqueryboolean

    If "false" is passed, the "linkedProductvariants" node will not be populated.

  • filterNeedsDeletingqueryboolean

    If "true" is passed, it will return inventory variants which are scheduled to delete.

Example request

get/inventory/search/variant
curl -X GET "https://api.flxpoint.com/inventory/search/variant" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[InventoryVariant]
sourceIdinteger
inventoryParentIdinteger
supplierVariantIdstring
shippingCostnumber
dropshipFeenumber
inventoryListPricenumber
referenceIdentifierstring
inventoryVariantIdstring (int64)deprecated
committedQuantityinteger
incomingQuantityinteger
quantityinteger
totalQuantityinteger
idinteger (int64)
accountIdintegerdeprecated
skustringrequired
titlestring
mpnstring
masterSkustring
If available from your data source populate with your primary product master SKU to enable easily linking to your existing products or as the foundation to build new product master SKUs from.
upcstring
eanstring
asinstring
msrpnumber
mapnumber
weightnumber
lengthnumber
widthnumber
heightnumber
insertedAtstring (date-time)
updatedAtstring (date-time)
totalQuantityLastChangedAtstring (date-time)
archivedboolean
costnumber
weightUnitobject
handlestring
allowedpoundouncegramkilogram
abbreviatedHandlestring
allowedlbozgkg
dimensionUnitobject
handlestring
allowedinchcentimeter
abbreviatedHandlestring
allowedincm
dimensionalWeightnumber
imagesarray[InventoryImage]
idinteger (int64)
sourceIdinteger
inventoryParentIdinteger
inventoryVariantIdinteger (int64)
hashstring
originalUrlstring
urlstringrequired
sortOrderinteger
optionsarray[InventoryVariantOption]
inventoryParentOptionIdinteger
inventoryVariantIdinteger (int64)
idinteger (int64)
namestringrequired
valuestringrequired
customAggregateFieldsarray[InventoryVariantCustomAggregateField]
idinteger (int64)
sourceVariantIdinteger (int64)
accountIdinteger
customAggregateFieldobject
idinteger
aggregateFieldDataTypeIdinteger
customAggregateFieldOptionIdinteger
namestring
handlestring
ignoreOutOfStockboolean
default false
accountIdinteger
namestring
valuenumber
customAggregateFieldIdinteger
parentobject
sourceIdinteger
restrictedboolean
variantCountinteger
idinteger
accountIdinteger
skustringrequired
titlestring
descriptionstring
manufacturerstring
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
categoryOneobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
categoryTwoobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
categoryThreeobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
imagesarray[InventoryImage]
idinteger (int64)
sourceIdinteger
inventoryParentIdinteger
inventoryVariantIdinteger (int64)
hashstring
originalUrlstring
urlstringrequired
sortOrderinteger
optionsarray[InventoryParentOption]
inventoryParentIdinteger
idinteger
namestringrequired
attributesarray[InventoryParentAttribute]
idinteger (int64)
attributeIdinteger
attributeValueIdinteger
namestringrequired
originalInventoryNamestring
valuestringrequired
originalInventoryValuestring
isPrivateboolean
mergeToAttributeIdinteger
mergeToAttributeNamestring
mergeToAttributeValueIdinteger
mergeToAttributeValuestring
mergeToAttributeIsPrivateboolean
customFieldsarray[InventoryParentCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
variantsarray[InventoryVariant]
sourceIdinteger
inventoryParentIdinteger
supplierVariantIdstring
shippingCostnumber
dropshipFeenumber
inventoryListPricenumber
referenceIdentifierstring
inventoryVariantIdstring (int64)deprecated
committedQuantityinteger
incomingQuantityinteger
quantityinteger
totalQuantityinteger
idinteger (int64)
accountIdintegerdeprecated
skustringrequired
titlestring
mpnstring
masterSkustring
If available from your data source populate with your primary product master SKU to enable easily linking to your existing products or as the foundation to build new product master SKUs from.
upcstring
eanstring
asinstring
msrpnumber
mapnumber
weightnumber
lengthnumber
widthnumber
heightnumber
insertedAtstring (date-time)
updatedAtstring (date-time)
totalQuantityLastChangedAtstring (date-time)
archivedboolean
costnumber
weightUnitobject
handlestring
allowedpoundouncegramkilogram
abbreviatedHandlestring
allowedlbozgkg
dimensionUnitobject
handlestring
allowedinchcentimeter
abbreviatedHandlestring
allowedincm
dimensionalWeightnumber
imagesarray[InventoryImage]
idinteger (int64)
sourceIdinteger
inventoryParentIdinteger
inventoryVariantIdinteger (int64)
hashstring
originalUrlstring
urlstringrequired
sortOrderinteger
optionsarray[InventoryVariantOption]
inventoryParentOptionIdinteger
inventoryVariantIdinteger (int64)
idinteger (int64)
namestringrequired
valuestringrequired
customAggregateFieldsarray[InventoryVariantCustomAggregateField]
idinteger (int64)
sourceVariantIdinteger (int64)
accountIdinteger
customAggregateFieldCustomAggregateField
namestring
valuenumber
customAggregateFieldIdinteger
parentobject
sourceIdinteger
restrictedboolean
variantCountinteger
idinteger
accountIdinteger
skustringrequired
titlestring
descriptionstring
manufacturerstring
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
categoryOneobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
categoryTwoobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
categoryThreeobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
imagesarray[InventoryImage]
optionsarray[InventoryParentOption]
attributesarray[InventoryParentAttribute]
customFieldsarray[InventoryParentCustomField]
variantsarray[InventoryVariant]
categoryOneIdinteger
categoryTwoIdinteger
categoryThreeIdinteger
contentUpdatedAtstring (date-time)
lastArchivedAtstring (date-time)
lastUnarchivedAtstring (date-time)
linkedProductVariantsarray[ProductVariantInventoryLink]
idinteger
productVariantIdinteger
inventoryVariantIdinteger (int64)required
scheduledToDeleteAtstring (date-time)
customFieldsarray[InventoryVariantCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
allowBackordersboolean
binLocationstring
An identifier representing the location of a bin in an internal warehouse
descriptionstring
contentUpdatedAtstring (date-time)
requiresFflboolean
Indicate if FFL information will be required to fulfill this inventory variant
lastArchivedAtstring (date-time)
lastUnarchivedAtstring (date-time)
categoryOneIdinteger
categoryTwoIdinteger
categoryThreeIdinteger
contentUpdatedAtstring (date-time)
lastArchivedAtstring (date-time)
lastUnarchivedAtstring (date-time)
linkedProductVariantsarray[ProductVariantInventoryLink]
idinteger
productVariantIdinteger
inventoryVariantIdinteger (int64)required
scheduledToDeleteAtstring (date-time)
customFieldsarray[InventoryVariantCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
allowBackordersboolean
binLocationstring
An identifier representing the location of a bin in an internal warehouse
descriptionstring
contentUpdatedAtstring (date-time)
requiresFflboolean
Indicate if FFL information will be required to fulfill this inventory variant
lastArchivedAtstring (date-time)
lastUnarchivedAtstring (date-time)
Example response
[
  {
    "sourceId": 0,
    "inventoryParentId": 0,
    "supplierVariantId": "string",
    "shippingCost": 0,
    "dropshipFee": 0,
    "inventoryListPrice": 0,
    "referenceIdentifier": "string",
    "inventoryVariantId": "string",
    "committedQuantity": 0,
    "incomingQuantity": 0,
    "quantity": 0,
    "totalQuantity": 0,
    "id": 0,
    "accountId": 0,
    "sku": "string",
    "title": "string",
    "mpn": "string",
    "masterSku": "string",
    "upc": "string",
    "ean": "string",
    "asin": "string",
    "msrp": 0,
    "map": 0,
    "weight": 0,
    "length": 0,
    "width": 0,
    "height": 0,
    "insertedAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "totalQuantityLastChangedAt": "2026-04-20T00:00:00Z",
    "archived": true,
    "cost": 0,
    "weightUnit": {
      "handle": "pound",
      "abbreviatedHandle": "lb"
    },
    "dimensionUnit": {
      "handle": "inch",
      "abbreviatedHandle": "in"
    },
    "dimensionalWeight": 0,
    "images": [
      {
        "id": 0,
        "sourceId": 0,
        "inventoryParentId": 0,
        "inventoryVariantId": 0,
        "hash": "string",
        "originalUrl": "string",
        "url": "string",
        "sortOrder": 0
      }
    ],
    "options": [
      {
        "inventoryParentOptionId": 0,
        "inventoryVariantId": 0,
        "id": 0,
        "name": "string",
        "value": "string"
      }
    ],
    "customAggregateFields": [
      {
        "id": 0,
        "sourceVariantId": 0,
        "accountId": 0,
        "customAggregateField": {
          "id": null,
          "aggregateFieldDataTypeId": null,
          "customAggregateFieldOptionId": null,
          "name": null,
          "handle": null,
          "ignoreOutOfStock": null,
          "accountId": null
        },
        "name": "string",
        "value": 0,
        "customAggregateFieldId": 0
      }
    ],
    "parent": {
      "sourceId": 0,
      "restricted": true,
      "variantCount": 0,
      "id": 0,
      "accountId": 0,
      "sku": "string",
      "title": "string",
      "description": "string",
      "manufacturer": "string",
      "insertedAt": "2026-04-20T00:00:00Z",
      "updatedAt": "2026-04-20T00:00:00Z",
      "archived": true,
      "categoryOne": {
        "sourceId": 0,
        "productCategoryId": 0,
        "id": 0,
        "name": "string",
        "excluded": true,
        "parentCategoryId": 0
      },
      "categoryTwo": {
        "sourceId": 0,
        "productCategoryId": 0,
        "id": 0,
        "name": "string",
        "excluded": true,
        "parentCategoryId": 0
      },
      "categoryThree": {
        "sourceId": 0,
        "productCategoryId": 0,
        "id": 0,
        "name": "string",
        "excluded": true,
        "parentCategoryId": 0
      },
      "images": [
        {
          "id": null,
          "sourceId": null,
          "inventoryParentId": null,
          "inventoryVariantId": null,
          "hash": null,
          "originalUrl": null,
          "url": null,
          "sortOrder": null
        }
      ],
      "options": [
        {
          "inventoryParentId": null,
          "id": null,
          "name": null
        }
      ],
      "attributes": [
        {
          "id": null,
          "attributeId": null,
          "attributeValueId": null,
          "name": null,
          "originalInventoryName": null,
          "value": null,
          "originalInventoryValue": null,
          "isPrivate": null,
          "mergeToAttributeId": null,
          "mergeToAttributeName": null,
          "mergeToAttributeValueId": null,
          "mergeToAttributeValue": null,
          "mergeToAttributeIsPrivate": null
        }
      ],
      "customFields": [
        {
          "id": null,
          "customFieldValueId": null,
          "customFieldId": null,
          "name": null,
          "value": null,
          "originalInventoryName": null,
          "originalInventoryValue": null,
          "mergeToCustomFieldId": null,
          "mergeToCustomFieldName": null,
          "mergeToCustomFieldValueId": null,
          "mergeToCustomFieldValue": null
        }
      ],
      "variants": [
        {
          "sourceId": null,
          "inventoryParentId": null,
          "supplierVariantId": null,
          "shippingCost": null,
          "dropshipFee": null,
          "inventoryListPrice": null,
          "referenceIdentifier": null,
          "inventoryVariantId": null,
          "committedQuantity": null,
          "incomingQuantity": null,
          "quantity": null,
          "totalQuantity": null,
          "id": null,
          "accountId": null,
          "sku": null,
          "title": null,
          "mpn": null,
          "masterSku": null,
          "upc": null,
          "ean": null,
          "asin": null,
          "msrp": null,
          "map": null,
          "weight": null,
          "length": null,
          "width": null,
          "height": null,
          "insertedAt": null,
          "updatedAt": null,
          "totalQuantityLastChangedAt": null,
          "archived": null,
          "cost": null,
          "weightUnit": null,
          "dimensionUnit": null,
          "dimensionalWeight": null,
          "images": null,
          "options": null,
          "customAggregateFields": null,
          "parent": null,
          "linkedProductVariants": null,
          "scheduledToDeleteAt": null,
          "customFields": null,
          "allowBackorders": null,
          "binLocation": null,
          "description": null,
          "contentUpdatedAt": null,
          "requiresFfl": null,
          "lastArchivedAt": null,
          "lastUnarchivedAt": null
        }
      ],
      "categoryOneId": 0,
      "categoryTwoId": 0,
      "categoryThreeId": 0,
      "contentUpdatedAt": "2026-04-20T00:00:00Z",
      "lastArchivedAt": "2026-04-20T00:00:00Z",
      "lastUnarchivedAt": "2026-04-20T00:00:00Z"
    },
    "linkedProductVariants": [
      {
        "id": 0,
        "productVariantId": 0,
        "inventoryVariantId": 0
      }
    ],
    "scheduledToDeleteAt": "2026-04-20T00:00:00Z",
    "customFields": [
      {
        "id": 0,
        "customFieldValueId": 0,
        "customFieldId": 0,
        "name": "string",
        "value": "string",
        "originalInventoryName": "string",
        "originalInventoryValue": "string",
        "mergeToCustomFieldId": 0,
        "mergeToCustomFieldName": "string",
        "mergeToCustomFieldValueId": 0,
        "mergeToCustomFieldValue": "string"
      }
    ],
    "allowBackorders": true,
    "binLocation": "string",
    "description": "string",
    "contentUpdatedAt": "2026-04-20T00:00:00Z",
    "requiresFfl": true,
    "lastArchivedAt": "2026-04-20T00:00:00Z",
    "lastUnarchivedAt": "2026-04-20T00:00:00Z"
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "[Deprecated] Search Inventory Variants",
    "description": "Deprecated, please use GET /inventory/variants",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterSourceId",
        "description": "ID of source whose inventory is required"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterUpdatedAfter",
        "description": "Retrieve inventory variants updated after this date"
      },
      {
        "schema": {
          "type": "integer",
          "default": 1
        },
        "in": "query",
        "name": "filterPageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "integer",
          "default": 20,
          "minimum": 1,
          "maximum": 100
        },
        "in": "query",
        "name": "filterPageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "filterByInventoryVariantIds",
        "description": "Inventory variant IDs separated by a comma"
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 100,
          "example": "SKU123,SKU456,SKU789",
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        },
        "in": "query",
        "name": "filterBySkus",
        "description": "A list of Inventory Variant SKUs to filter on. Max must be less than or equal to filterPageSize. Recommended to not include full metadata while using this. This will work in conjunction with the other `filter` params EXCEPT `filterByIds`.",
        "style": "form",
        "explode": false
      },
      {
        "schema": {
          "type": "array",
          "maxItems": 100,
          "example": "123,456,789",
          "uniqueItems": true,
          "items": {
            "type": "integer",
            "format": "int64"
          }
        },
        "in": "query",
        "name": "ids",
        "description": "Finds elements matching these IDs. Max must be less than or equal to filterPageSize.",
        "style": "form",
        "explode": false
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeParent",
        "description": "If \"true\" is passed, the \"parent\" node will be populated with Inventory Parent information. NOTE : The \"variants\" will be empty in this node to prevent circular references."
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeImages",
        "description": "If \"false\" is passed, the \"image\" and \"parent.image\" nodes will not be populated"
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeOptions",
        "description": "If \"false\" is passed, the \"options\" and \"parent.options\" nodes will not be populated"
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeAttributes",
        "description": "If \"true\" is passed, the \"parent.attributes\" node will be populated. "
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeCategories",
        "description": "If \"true\" is passed, the parent category nodes will be populated."
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeCustomFields",
        "description": "If \"true\" is passed, the \"parent.customFields\" node will be populated. "
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeCustomAggregates",
        "description": "If \"false\" is passed, the \"customAggregates\" node will not be populated. "
      },
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "includeLinkedProductVariants",
        "description": "If \"false\" is passed, the \"linkedProductvariants\" node will not be populated."
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "filterNeedsDeleting",
        "description": "If \"true\" is passed, it will return inventory variants which are scheduled to delete."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/InventoryVariant"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight